Subject: Re: [dhcwg] Protocol Action: 'Lightweight DHCPv6 Relay Agent' to Proposed Standard (draft-ietf-dhc-dhcpv6-ldra-03.txt)

From: Suresh Krishnan <[email-masked]>
Date: Thu, 10 Feb 2011 18:48:59 -0500

Hi David,

David Hankins wrote:
> On Mon, Jan 31, 2011 at 3:03 PM, Suresh Krishnan 
> <[email-masked] <mailto:[email-masked]>> wrote:
> 
>     Thanks for the comments.
> 
> 
> Sorry I only noticed this in the IESG diff.

No problems. But unfortunately, we cannot make any edits right now since 
the draft is in the RFC Editor queue. We will try to make the changes at 
the first possible chance.

>  
> 
>     What you say is correct (the LDRA also listens to network-originated
>     traffic), but the text in the Security Considerations section was
>     intended to apply only to the client-initiated IPv6 traffic and does
>     not talk about the network-originated traffic. In the deployment
>     scenarios we were targeting, the network-facing interfaces were
>     considered to be trusted and hence there was no need to perform
>     rate-limiting on network-originated traffic. Do you see a need to
>     rate-limit network-originated traffic as well?
> 
> 
> That is what I expected - but I think someone could easily misinterpret 
> the existing text.  If you have the time or energy to try and make the 
> statement a bit more direct...I would open with the recommendation to 
> rate-limit client-originated traffic and close with admitting the only 
> client-originated traffic the LDRA receives is the one address/port pair 
> mentioned.

Sounds like a good idea. Since the change is purely editorial, we will 
try to propose the changes for clarification when the draft gets to 
AUTH48 and see if the wg and the ADs are OK with the nature of the changes.

Thanks
Suresh